# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define libtool /bin/true 
%define __libtoolize /bin/true
%define section Multimedia/Graphics
%define	major	1
%define	libname	%mklibname %name %major
%define relversion %version

Summary: Image viewer
Name: ksquirrel
Version: 0.6.0
Release: 1.2006mcnl
Group: Graphics
Vendor: Mandrivaclub.nl
URL: http://ksquirrel.sourceforge.net/
License: GPL
Packager:Marco Meijer <marco@mandrivaclub.nl>
Source0: ksquirrel-%relversion.tar.bz2
Source1: ksquirrel-libs-%relversion.tar.bz2
Source2: ksquirrel_app.desktop
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: kdelibs-devel libbinutils-devel
Requires: libksquirrel1

%description
Why KSquirrel ?
It is a very interesting question. Today we can find many
image viewers all over the world. However, none of those 
I saw could decode images by themselves. Some of them used 
imlib to load images, others - QImage::load(), etc. I saw 
too many errors: I couldn't view some TGA files, PSD, 
32-bit BMP, XWD, and so on. The most beautiful viewer 
I saw (for Linux) was zgv! It has built-in self-written 
decoders, can show thumbnails etc.

KSquirrel decodes images with special decoders. You can 
just write your own decoder, copy it in the decoders' 
directory - all done! BTW, the best viewer I've ever seen, 
AcdSee 3.0, uses the same mechanism, that is, based on 
external decoders. But in Linux NOT A SINGLE VIEWER has 
that (except old good zgv).

%package -n %libname
Summary:    ksquirrel libraries
Group:      System/Libraries
License:    GPL

%description -n %libname
These libraries provide plugins for ksquirrel


%package -n %{libname}-devel
Summary:    ksquirrel libraries
Group:      System/Libraries
License:    GPL
Requires:   %libname = %version-%release

%description -n %{libname}-devel
These're the files needed to develop applications that use ksquirel plugins..

%prep
rm -rf %{buildroot}
%setup -q -n ksquirrel-%version
%setup -q -T -D -a1 -n ksquirrel-%version


%build

cd ksquirrel-libs-%version
#./configure --prefix=/usr/ --libdir=/usr/lib/squirrel
./configure.gnu
make
cd ..
#make -f admin/Makefile.common
#./configure --prefix="`kde-config --prefix`"
./configure.gnu
make

%install

%makeinstall

cd ksquirrel-libs-%version
make install  DESTDIR=$RPM_BUILD_ROOT
cd ..

#mkdir -p %buildroot/%_libdir/squirrel/
#mv  %buildroot/%_libdir/lib* %buildroot/%_libdir/squirrel/

mkdir -p %buildroot/%_datadir/applications/kde/
install -m644 %{SOURCE2} -D %buildroot/%_datadir/applications/kde/%{name}.desktop
#%__cp %{name}/%{name}_app.desktop %buildroot/%_datadir/applications/kde/%{name}.desktop

#icons
%define  nameicon ksquirrel/hi32-app-ksquirrel.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
needs="X11" \
title="KSquirrel" \
command="%_bindir/%name" \
kde_command="ksquirrel -caption \"%c\" %i %m  " \
longtitle="Image viewer" \
section="%section" \
icon="%name.png" \
kde_mimetype="image/gif;image/x-xpm;image/x-xbm;image/jpeg;image/png;image/tiff;image/x-bmp;image/x-psd;image/x-eim;image/x-portable-bitmap;image/x-portable-pixmap;image/x-portable-greymap" \
accept_url="true" multiple_files="true"
EOF


%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README
%{_bindir}/%{name}
%{_bindir}/%{name}-small
%{_menudir}/%{name}

%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/applnk/Graphics/%{name}.desktop
%{_datadir}/apps/%{name}
%{_datadir}/man/man1/%{name}*

%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/%{name}.png
%{_iconsdir}/large/%{name}.png
%{_iconsdir}/mini/%{name}.png


%files -n %libname
%defattr(-,root,root)
%doc %{name}-libs-%version/COPYING
%_libdir/%{name}-libs/*
%{_datadir}/doc/%{name}-libs

#%files -n %{libname}-devel
#%defattr(-,root,root)
#%doc %{name}-libs-%version/COPYING
#%_includedir/%{name}-libs/*


%changelog

*Sat Dec 10 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6.0-1.2006mcnl
- new version 0.6.0 final

*Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6.0-0pre8.2006mcnl
- new version 0.6.0 pre release 8

*Thu Jun 09 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6.0-0pre4.102mcnl
- new version 0.6.0 pre release 4

*Fri May 27 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6.0-0pre3.101mcnl
- new version 0.6.0 pre release 3

*Sun Apr 17 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6.0-0pre2.101mcnl
- new version 0.6.0 pre release 2

*Mon Feb 28 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6.0-0pre1.101mcnl
- new version 0.6.0 pre release 1

*Sun Feb 20 2005 Marco Meijer <marco@mandrivaclub.nl> 0.5.0-1.101mcnl
- new version 0.5.0 final

*Thu Feb 03 2005 Marco Meijer <marco@mandrivaclub.nl> 0.5.0-0pre4.101mcnl
- new version pre release 4

*Sun Nov 21 2004 Marco Meijer <marco@mandrivaclub.nl> 0.5.0-3mcnl
- new version pre release 3

*Sun Oct 02 2004 Marco Meijer <marco@mandrivaclub.nl> 0.5.0-1mcnl
- First version
